Download it now!
Bug 37760 - [UI] Find&Replace - Format - indents work wrong
Summary: [UI] Find&Replace - Format - indents work wrong
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 RC1
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 38261
  Show dependency treegraph
 
Reported: 2011-05-30 09:47 UTC by sasha.libreoffice
Modified: 2015-05-15 13:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-05-30 09:47:04 UTC
This bug I found when try to print scenario. Strings, begining by word "narrator" should be outdented to protrude out of other text so that it is more easy read it on-role. So that rarrators can easyly see, where is begining of each role.

To achive this I entered all scenario, then selected Find&Replace, button Format, tab Indents&Spacing. And tryed to enter there negative number in hope that text begins protrude to left. But negative numbers can not be entered and measurment always in inches, should be in centimeters.

To reproduce this problem:
0. Start Writer with any document
1. Do Edit - Find&Replace
2. Press button More Options on bottom of dialog
3. Press button Format
4. Select tab Indents&Spacing
5. Try to enter negative number in any of 3 fields on top of dialog
Problem: Negative numbers not want to accept and numbers measured in inches

Reproduced on LibO 3.4.rc1 on Mandriva 64 bit and Windows XP 32 bit
Comment 1 Rainer Bielefeld Retired 2011-05-30 22:42:47 UTC
[Reproducible] with "LibreOffice 3.4.0RC2  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:12)]". I can't choose negative values for indents in 'Find & Replace > Format > Indents and Spacing', and unit is always inch.

It will be difficult to match mm indents with an inch input, and words in paragraphs with any negative indent value can not be found with current limitations.

It's an old bug, I also see it in OOo 3.1.1 and OOo 1.1.4. It seems that that search will not be used by many users, I can't find a corresponding OOo issue.

HELP:
I also see details that might show that this help function does not work as expected (or at least as I expect), and help is very vague. For example: will a word be found if it's line fulfills the rule (first line indent, for example) or only if it's paragraph fulfills all indent rules? Currently it seems words only will be found if all paragraph indent rules will be the same as in find & replace. 

@Jan:
Help text is too general, only the same information as in paragraph formatting help without hints concerning influence to search results. Can you try to get additional information?

@Cédric:
Please feel free to reassign if it's not your area!
Comment 2 bfoman (inactive) 2014-02-20 18:39:26 UTC
This bug lost its owner - back to NEW.
Comment 3 Joel Madero 2015-05-02 15:43:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.2 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-05-02
Comment 4 Gordo 2015-05-15 13:34:31 UTC
Could not reproduce.

1. New Text Document.
2. Type a three line paragraph starting with "Test:".
3. Copied and pasted paragraph several times.
4. Edit -> Find & Replace.
5. In Search for box type "^Test:", expand Other Options, and check Regular expressions.
6. In Replace with box type "Test:" and click on Format button.
Note:
At this point you cannot enter a negative number in any box.
7. On Indents & Spacing tab, in Before text, enter 1.00 cm.
8. In First line, enter -1.00 cm and OK.
Note:
You can only decrement the First line into the negative by how much is in the Before text.
9. Click Replace All button.
Result:
The first line is flush with the left margin and the rest of the text is indented 1.00 cm.

You can even find indents and replace them with another value.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16

4.3.6.2, 4.2.8.2, and 4.1.6.2 still had inches but typing in number with cm then converts it to inches.

Changed to RESOLVED WORKSFORME.